{
  "manifest_version": 3,
  "name": "Auto post facebook extensions",
  "version": "2.0",
  "action": {
    "default_popup": "index.html",
    "default_icon": {
      "16": "icons/16.png",
      "32": "icons/32.png",
      "128": "icons/128.png"
    }
  },
  "background": {
    "service_worker": "background/background.js",
    "type": "module"
  },
  "host_permissions": ["https://www.facebook.com/*"],
  "content_scripts": [
    {
      "matches": ["https://www.facebook.com/*"],
      "js": ["content/content.js"],
      "type": "module"
    }
  ],
  "web_accessible_resources": [
    {
      "resources": ["content/inject-ui.js", "assets/*"],
      "matches": ["https://www.facebook.com/*"]
    }
  ],
  "permissions": ["tabs", "activeTab", "scripting", "storage"],
  "icons": {
    "16": "icons/16.png",
    "32": "icons/32.png",
    "128": "icons/128.png"
  }
}
